Package oracle.jdbc

## Interface OracleParameterMetaData

All Superinterfaces:
  `java.sql.ParameterMetaData`, `java.sql.Wrapper`

    public interface OracleParameterMetaData
    extends java.sql.ParameterMetaData

This interface defines the Oracle extensions to the standard JDBC interface `java.sql.ParameterMetaData`. For pre-JDK 1.4 applications, this interface provides the equivalent functions in `java.sql.ParameterMetaData`. Applications can use `java.sql.ParameterMetaData` where they do not make use of Oracle extensions. However, when an application uses the Oracle extensions to `java.sql.ParameterMetaData`, it must use `oracle.jdbc.OracleParameterMetaData`.

This is an interface that can be used to get information about the types and properties of the parameters in a `PreparedStatement` object.

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

All Methods Instance Methods Abstract Methods
`VectorMetaData` `getVectorMetaData​(int param)` Returns the metadata for a VECTOR parameter, or `null` if the parameter is not a VECTOR.
`void` `query​(java.sql.Connection conn)` Re-query the database for parameter types.

### Methods inherited from interface java.sql.ParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### query

    void query​(java.sql.Connection conn)
        throws java.sql.SQLException

Re-query the database for parameter types. This method will re-query the types in the database without re-parsing the statement (if possible). This method will parse the statement again if the ParameterMetadata cache is enabled and oracle.jdbc.parameterMetadataCacheIncludeParsing (system property) is set to false (default value). For any other use case, this method will re-use the parsing information and only re-issue the database queries.

Parameters:
  `conn` - - the connection to use to query the database.
Throws:
  `java.sql.SQLException` - - if there was an error processing the queries.

#### getVectorMetaData

    VectorMetaData getVectorMetaData​(int param)
                              throws java.sql.SQLException

Returns the metadata for a VECTOR parameter, or `null` if the parameter is not a VECTOR.

Parameters:
  `param` - the first parameter is 1, the second is 2, ...
Returns:
  VECTOR column metadata, or `null` if the column is not a VECTOR.
Throws:
  `java.sql.SQLException` - if a database access error occurs
Since:
  23.4